Package org.jbpm.process.core.impl

## Class ProcessImpl

- java.lang.Object
- - org.jbpm.process.core.impl.ProcessImpl

- All Implemented Interfaces:
    `Serializable`, `ContextContainer`, `ContextResolver`, `Process`, `org.kie.api.definition.KieDefinition`, `org.kie.api.definition.process.Process`
  Direct Known Subclasses:
    `WorkflowProcessImpl`

      public class ProcessImpl
      extends Object
      implements Process, Serializable, ContextResolver

  Default implementation of a Process
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition

      `org.kie.api.definition.KieDefinition.KnowledgeType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContext​(Context context)` |
    `boolean` | `equals​(Object o)` |
    `Context` | `getContext​(String contextType, long id)` |
    `List<Context>` | `getContexts​(String contextType)` |
    `Context` | `getDefaultContext​(String contextType)` |
    `List<String>` | `getFunctionImports()` | Returns the function imports of this RuleFlow process.
    `String[]` | `getGlobalNames()` | Returns the names of the globals used in this RuleFlow process
    `Map<String,​String>` | `getGlobals()` | Returns the globals of this RuleFlow process.
    `String` | `getId()` |
    `Set<String>` | `getImports()` | Returns the imports of this RuleFlow process.
    `org.kie.api.definition.KieDefinition.KnowledgeType` | `getKnowledgeType()` |
    `Map<String,​Object>` | `getMetaData()` |
    `Object` | `getMetaData​(String name)` |
    `String` | `getName()` |
    `String` | `getNamespace()` |
    `String` | `getPackageName()` |
    `org.kie.api.io.Resource` | `getResource()` |
    `Map<String,​Object>` | `getRuntimeMetaData()` |
    `String` | `getType()` |
    `String` | `getVersion()` |
    `int` | `hashCode()` |
    `Context` | `resolveContext​(String contextId, Object param)` |
    `void` | `setDefaultContext​(Context context)` |
    `void` | `setFunctionImports​(List<String> functionImports)` | Sets the imports of this RuleFlow process
    `void` | `setGlobals​(Map<String,​String> globals)` | Sets the imports of this RuleFlow process
    `void` | `setId​(String id)` | Sets the id of this process.
    `void` | `setImports​(Set<String> imports)` | Sets the imports of this RuleFlow process
    `void` | `setMetaData​(String name, Object data)` |
    `void` | `setName​(String name)` | Sets the name of this process.
    `void` | `setPackageName​(String packageName)` | Sets the package name of this RuleFlow process
    `void` | `setResource​(org.kie.api.io.Resource resource)` |
    `void` | `setRuntimeMetaData​(Map<String,​Object> runtimeMetaData)` |
    `void` | `setType​(String type)` | Sets the type of this process.
    `void` | `setVersion​(String version)` | Sets the version of this process.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessImpl

          public ProcessImpl()

  - ### Method Detail

    - #### setId

          public void setId​(String id)

      Description copied from interface: `Process`
      Sets the id of this process. The id should uniquely identify this process.
      Specified by:
        `setId` in interface `Process`
      Parameters:
        `id` - the id of the process

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.kie.api.definition.KieDefinition`
      Specified by:
        `getId` in interface `org.kie.api.definition.process.Process`

    - #### setName

          public void setName​(String name)

      Description copied from interface: `Process`
      Sets the name of this process.
      Specified by:
        `setName` in interface `Process`
      Parameters:
        `name` - the name of this process

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.definition.process.Process`

    - #### setVersion

          public void setVersion​(String version)

      Description copied from interface: `Process`
      Sets the version of this process.
      Specified by:
        `setVersion` in interface `Process`
      Parameters:
        `version` - the version of this process

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `org.kie.api.definition.process.Process`

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `org.kie.api.definition.process.Process`

    - #### setType

          public void setType​(String type)

      Description copied from interface: `Process`
      Sets the type of this process.
      Specified by:
        `setType` in interface `Process`
      Parameters:
        `type` - the type of this process

    - #### getPackageName

          public String getPackageName()

      Specified by:
        `getPackageName` in interface `org.kie.api.definition.process.Process`

    - #### setPackageName

          public void setPackageName​(String packageName)

      Description copied from interface: `Process`
      Sets the package name of this RuleFlow process
      Specified by:
        `setPackageName` in interface `Process`
      Parameters:
        `packageName` - the package name of this RuleFlow process

    - #### getContexts

          public List<Context> getContexts​(String contextType)

      Specified by:
        `getContexts` in interface `ContextContainer`

    - #### addContext

          public void addContext​(Context context)

      Specified by:
        `addContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext​(String contextType,
                                    long id)

      Specified by:
        `getContext` in interface `ContextContainer`

    - #### setDefaultContext

          public void setDefaultContext​(Context context)

      Specified by:
        `setDefaultContext` in interface `ContextContainer`

    - #### getDefaultContext

          public Context getDefaultContext​(String contextType)

      Specified by:
        `getDefaultContext` in interface `ContextContainer`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### resolveContext

          public Context resolveContext​(String contextId,
                                        Object param)

      Specified by:
        `resolveContext` in interface `ContextResolver`

    - #### getMetaData

          public Map<String,​Object> getMetaData()

      Specified by:
        `getMetaData` in interface `org.kie.api.definition.process.Process`

    - #### setMetaData

          public void setMetaData​(String name,
                                  Object data)

      Specified by:
        `setMetaData` in interface `Process`

    - #### getMetaData

          public Object getMetaData​(String name)

    - #### getResource

          public org.kie.api.io.Resource getResource()

      Specified by:
        `getResource` in interface `org.kie.api.definition.process.Process`

    - #### setResource

          public void setResource​(org.kie.api.io.Resource resource)

      Specified by:
        `setResource` in interface `org.kie.api.definition.process.Process`

    - #### getImports

          public Set<String> getImports()

      Description copied from interface: `Process`
      Returns the imports of this RuleFlow process. They are defined as a List of fully qualified class names.
      Specified by:
        `getImports` in interface `Process`
      Returns:
        the imports of this RuleFlow process

    - #### setImports

          public void setImports​(Set<String> imports)

      Description copied from interface: `Process`
      Sets the imports of this RuleFlow process
      Specified by:
        `setImports` in interface `Process`
      Parameters:
        `imports` - the imports as a List of fully qualified class names

    - #### getFunctionImports

          public List<String> getFunctionImports()

      Description copied from interface: `Process`
      Returns the function imports of this RuleFlow process. They are defined as a List of fully qualified class names.
      Specified by:
        `getFunctionImports` in interface `Process`
      Returns:
        the function imports of this RuleFlow process

    - #### setFunctionImports

          public void setFunctionImports​(List<String> functionImports)

      Description copied from interface: `Process`
      Sets the imports of this RuleFlow process
      Specified by:
        `setFunctionImports` in interface `Process`
      Parameters:
        `functionImports` - the imports as a List of fully qualified class names

    - #### getGlobals

          public Map<String,​String> getGlobals()

      Description copied from interface: `Process`
      Returns the globals of this RuleFlow process. They are defined as a Map with the name as key and the type as value.
      Specified by:
        `getGlobals` in interface `Process`
      Returns:
        the imports of this RuleFlow process

    - #### setGlobals

          public void setGlobals​(Map<String,​String> globals)

      Description copied from interface: `Process`
      Sets the imports of this RuleFlow process
      Specified by:
        `setGlobals` in interface `Process`
      Parameters:
        `globals` - the globals as a Map with the name as key and the type as value

    - #### getGlobalNames

          public String[] getGlobalNames()

      Description copied from interface: `Process`
      Returns the names of the globals used in this RuleFlow process
      Specified by:
        `getGlobalNames` in interface `Process`
      Returns:
        the names of the globals of this RuleFlow process

    - #### getKnowledgeType

          public org.kie.api.definition.KieDefinition.KnowledgeType getKnowledgeType()

      Specified by:
        `getKnowledgeType` in interface `org.kie.api.definition.KieDefinition`

    - #### getNamespace

          public String getNamespace()

      Specified by:
        `getNamespace` in interface `org.kie.api.definition.KieDefinition`

    - #### getRuntimeMetaData

          public Map<String,​Object> getRuntimeMetaData()

    - #### setRuntimeMetaData

          public void setRuntimeMetaData​(Map<String,​Object> runtimeMetaData)